// vim: set tabstop=4 shiftwidth=4 noexpandtab:
/*
Gwenview: an image viewer
Copyright 2008 Aurélien Gâteau <aurelien.gateau@free.fr>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Cambridge, MA 02110-1301, USA.

*/
// Self
#include "timeutils.h"

// KDE
#include <kdatetime.h>
#include <kfileitem.h>
#include <kfilemetainfo.h>
#include <kfilemetainfoitem.h>

namespace Gwenview {

namespace TimeUtils {

KDateTime dateTimeForFileItem(const KFileItem& item) {
	const KFileMetaInfo info = item.metaInfo();
	if (info.isValid()) {
		const KFileMetaInfoItem& mii = info.item("http://freedesktop.org/standards/xesam/1.0/core#contentCreated");
		KDateTime dt(mii.value().toDateTime(), KDateTime::LocalZone);
		if (dt.isValid()) {
			return dt;
		}
	}
	return item.time(KFileItem::ModificationTime);
}

} // namespace

} // namespace
